'use strict';


import {initJSDOM} from "../../util/jsdom.mjs";

let windowReady;
let domReady;

describe('Ready', function () {

    before(function (done) {
        initJSDOM().then(() => {

            import("../../../source/dom/ready.mjs").then((m) => {
                domReady = m['domReady'];
                windowReady = m['windowReady'];
                done()
            });

        });


    })

    describe('domReady', function () {

        it('resolve promise', function (done) {
            domReady.then(done).catch(e => done(e));
        });

    });

    describe('windowReady', function () {

        it('resolve promise', function (done) {
            windowReady.then(done).catch(e => done(e));
        });

    });


});